diff --git a/zebra/interface.c b/zebra/interface.c
index ba6a376536e9..50fd94063fc7 100644
--- a/zebra/interface.c
+++ b/zebra/interface.c
@@ -201,6 +201,8 @@ static int if_zebra_delete_hook(struct interface *ifp)
 {
 	struct zebra_if *zebra_if;
 
+	zebra_l2if_update_bond(ifp, false);
+
 	if (ifp->info) {
 		zebra_if = ifp->info;
 
